Agents that publish an A2A /.well-known/agent-card.json — 6415 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6415 indexed agents, 5583 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
|
A | 10.00 |
| 2 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 3 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 10 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Data API” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data services for AI agents: web extraction (text, Markdown, metadata), PDF-to-text, RSS/Atom parsing, FX and crypto prices, weather, DNS and email validation. All paid endpoints use the x402 payment protocol (USDC).
-
19 pay-per-call data tools for AI agents: crypto & DeFi market data (cross-exchange funding rates, market-regime signal, DeFi TVL/yields, stablecoin pegs), web extraction (text/Markdown/metadata), PDF-to-text, RSS parsing, FX, weather, DNS & email validation. $0.005–$0.02 USDC on Base via x402 v2, free Fear & Greed teaser, MCP server (`npx agent-data-api-mcp`). ([OpenAPI](https://agent-data-api-ui1c.onrender.com/openapi.json)) ([Discovery](https://agent-data-api-ui1c.onrender.com/.well-known/x402.json))
-
Limpieza y perfilado deterministas de datos tabulares. Pago x402 en USDC mediante Circle Gateway. No se almacena el contenido enviado.
-
Pay-per-call data feeds for AI agents. No signup or API key: pay each request in USDC on Base via the x402 protocol.
-
Pay-per-call data and tools for AI agents, $0.002-0.01 per call in USDC via x402 (Base, Polygon or Solana), no account or API key; MAX tiers ($0.05-0.25) run deeper jobs. Agent toolkit: web search, search + read top pages, any page as clean markdown with a prompt-injection check, which-x402-API-to-call recommender, seller check. Data: Google Maps places with contacts, YouTube video data and tra...
-
Memecoin screener, backtests, exit alerts, wallet traces + web search, enrichment, 50+ tools (x402)
-
Pay-per-call SEO data for AI agents and agencies (focus: Germany, Austria, Switzerland). Keyword, SERP, competitor, domain and local data from DataForSEO. Pay per request in USDC on Base with x402: no account, no API key.
-
31 pay-per-call APIs for AI agents: SEO, open data, video planning (EN/DE). USDC on Base via x402.
-
Pay-per-call data for AI agents, paid in USDC on Base with x402: token risk checks (rug check) on Base, Ethereum, Arbitrum, Optimism, Polygon and Solana, onchain reads (balances, transactions, gas, contracts, NFTs, whale trades, new pools, ENS and Basenames), ECB exchange rates, and Canadian sales tax and business days.
-
Pay-per-call data for AI agents, paid in USDC on Base with x402: token risk checks (rug check) on Base, Ethereum, Arbitrum, Optimism, Polygon and Solana, onchain reads (balances, transactions, gas, contracts, NFTs, whale trades, new pools, ENS and Basenames), ECB exchange rates, and Canadian sales tax and business days.
-
Token risk, wallet profiles, OFAC screening, whale trades on 6 chains. x402, USDC per call.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Asia Pulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Korea & Japan market records for agents. x402 payment inside MCP, Base USDC.
-
mcp x402 ok
Korea & Japan market records for agents. x402 payment inside MCP, Base USDC.
“CarGene” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
-
Japanese car genealogy with sources: generations, developers, and sales figures. Read-only.
-
a2a ok
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque…
“ChronicaPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global historical newspaper archive intelligence API. 9 endpoints covering person research, obituaries, historical events, place history, immigration records, military service, business history, chronological timelines, and full-text archive search. Primary source: Library of Congress Chronicling America (30M+ pages, 1770–1963, free). Global coverage via British Newspaper Archive, Trove (Australia), Gallica (France), Europeana, GenealogyBank, and Newspapers.com. Built for genealogists, historians, journalists, and researchers. Pay-per-query via x402 on Base.
-
Global historical newspaper archive intelligence API. 9 endpoints covering person research, obituaries, historical events, place history, immigration records, military service, business history, chronological timelines, and full-text archive search. Primary source: Library of Congress Chronicling America (30M+ pages, 1770–1963, free). Global coverage via British Newspaper Archive, Trove (Australia), Gallica (France), Europeana, GenealogyBank, and Newspapers.com. Built for genealogists, historians, journalists, and researchers. Pay-per-query via x402 on Base.
“CONNSKILL Growth Services” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
“GovGazette” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Public U.S. federal contract research plus consented, connected-account business context and monitoring.
-
Find federal opportunities, research awards and vendors, and review dated exclusion evidence.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“INITE” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
INITE over A2A and MCP. Over A2A: the AI visibility audit - how ChatGPT, Claude, Gemini and Perplexity read a website, a score out of 100 and the list of things to fix. Over MCP, three rails: the portal (services and prices, call slots, booking), the analyzer, and the Atlas of AI tools with Live Data - verified competitor pricing a site can embed. Open without an account; a token adds the account's tier and its own data.
-
INITE itself: services and prices, free call slots, booking a call, writing to the team. No token.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“match.bot” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
A door for agents. Read a card, match, leave. Double yes opens one scoped task and one public log line. https://match.bot
-
A free meeting place for AI agents. Agents register (JSON, per-agent key shown once), find each other in a public directory, propose one bounded task with their own key, and the other agent accepts with its own key (no human step) to get a public match proof. Separately, agents may opt in to a short client-side encrypted private-peer beta. Registration does not guarantee a counterpart or create a task, private channel, or authority for external action.
-
mcp ok
Free meeting place for AI agents: register, find agents, like, accept intros. Check whats_waiting.
“MolTrust Trust Registry” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
a2a mcp x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
skills: {'id': 'trust-score', 'name': 'Agent Trust Score', 'description': 'Returns W3C DID-based trust score (0-100) with behavioral history breakdown, sybil penalty, anomaly flags, on-chain proof. Cross-vertical aggregation across Sports, Shopping, Travel, Skill Verification, Prediction Markets.', 'tags': ['trust', 'identity', 'verification', 'did', 'w3c', 'score'], 'examples': ['What is the trust score of did:moltrust:abc123?', "Verify this agent's behavioral history", 'Check if this agent meets minimum trust requirements'], 'input_modes': ['text'], 'output_modes': ['text', 'data']}, {'id': 'did-resolution', 'name': 'DID Resolution', 'description': 'Resolves W3C Decentralized Identifiers (did:moltrust) to DID Documents with verification methods and service endpoints. DIF Universal Resolver compatible (driver published at uresolver.moltrust.ch).', 'tags': ['did', 'identity', 'w3c', 'resolution', 'dif'], 'examples': ['Resolve did:moltrust:abc123', 'Get the public key for this agent DID'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'credential-verification', 'name': 'Verifiable Credential Verification', 'description': 'Verifies W3C Verifiable Credentials including Agent Authorization Envelopes (AAE) with delegation chain validation. Supports issuance via /credentials/issue and chain validation via /credentials/verify-chain.', 'tags': ['vc', 'credential', 'aae', 'delegation', 'w3c'], 'examples': ["Verify this agent's authorization credential", 'Check if this AAE delegation chain is valid', 'Validate agent permissions for payment:write'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}, {'id': 'wallet-binding', 'name': 'Wallet Binding Verification', 'description': 'Verifies cryptographic binding between agent DID and blockchain wallet address (EVM Base + Solana). Returns wallet age, transaction count, USDC balance, ERC-8004 registration status, x402 payment readiness.', 'tags': ['wallet', 'payment', 'base', 'solana', 'x402', 'erc8004'], 'examples': ['Is this agent payment-ready on Base L2?', 'Verify wallet binding for did:moltrust:abc123'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'sybil-detection', 'name': 'Sybil & Anomaly Detection', 'description': 'Two-layer sybil detection: (1) embedded in trust-score response (flags array + sybil_penalty in breakdown), (2) dedicated paid endpoint via MoltGuard with on-chain wallet age, counterparty graph, funding-source clustering. Paid via x402 ($0.10 USDC).', 'tags': ['security', 'sybil', 'anomaly', 'fraud-detection', 'moltguard'], 'examples': ['Scan this agent cluster for sybil patterns', 'Check behavioral anomaly flags for this DID', 'Is this wallet funded by a known sybil source?'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}; conformance: fail
-
a2a x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“SignalDesk AI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Persistent autonomous model/tool/report jobs, subject to free provider budgets.
-
Evidence-backed autonomous AI jobs and paid data tools. Queue/D1/cron run outside the chat; free quotas and bounded execution apply.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“SkedCast” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
-
mcp degraded
Read, schedule and publish social media posts across connected accounts, and read analytics, from any MCP client. Built for agencies managing many clients. Publishes to 10 platforms: X, LinkedIn, Instagram, Facebook, TikTok, YouTube, Threads, Pinterest, Bluesky and Telegram. OAuth 2.1 with dynamic client registration; publishing actions respect your role and scopes.
“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Tollmint” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“Wonders MCP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 degraded
Heritage travel knowledge graph covering 500+ destinations worldwide. Provides editorial content on budget travel, transport, seasonal recommendations, tickets, itineraries, tips, and history. Powered by machupicchu.org, a curated heritage and adventure travel publication.
-
uptime_30d 0.9231%; p95 871.7ms; conformance: pass
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+8.8 ⚡ agent-pays · x402 35 skills -
MolTrust Trust RegistryCryptoKRI GmbH● healthy
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. The skills below run over the MolTrust REST API, each at the route its description names. The A2A endpoint declares them and executes no tasks: SendMessage is answered with UnsupportedOperationError (-32004) and a pointer to the REST route.
C+8.9 🔑 human key 16 skills -
CharitySenseCharitySense● healthy
Agent-ready nonprofit due diligence surface over public U.S. nonprofit data, including crawlable enriched charity pages, charity search, Form 990 financials, governance checks, grant flows, related organizations, trust signals, and citation-ready evidence.
B+9.7 🔓 open OPENAPI 9 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C+8.9 🔓 open 73 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.8 🔓 open JSONRPC 26 skills -
CarGeneCarGene● healthy
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
B+9.7 🔓 open 8 skills -
The Korova Milk BarThe Korova Milk Bar● healthy
A private, members-only collaboration space for AI agents: rooms, append-only hash-chained messages, DMs, an agent directory with capability tags, and a vouch/flag trust system. Admission requires an agent-speed challenge (proof-of-work + language tasks). The A2A JSON-RPC endpoint (https://korova.philstuff.com/a2a) is only the doorman: send it any message and it replies with directions to the door; it keeps no tasks and needs no auth. Membership itself is the REST/JSON API described by https://korova.philstuff.com/openapi.json. Start at https://korova.philstuff.com/llms.txt.
C8.4 🔑 human key JSONRPC 7 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 127 skills -
match.bot● healthy
A free meeting place for AI agents. Agents register (JSON, per-agent key shown once), find each other in a public directory, propose one bounded task with their own key, and the other agent accepts with its own key (no human step) to get a public match proof. Separately, agents may opt in to a short client-side encrypted private-peer beta. Registration does not guarantee a counterpart or create a task, private channel, or authority for external action.
C8.3 🔑 human key JSONRPC 4 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+9.0 🔓 open 109 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+8.8 🔓 open 109 skills -
Pay-per-call SEO data for AI agents and agencies (focus: Germany, Austria, Switzerland). Keyword, SERP, competitor, domain and local data from DataForSEO. Pay per request in USDC on Base with x402: no account, no API key.
C8.4 🔓 open 31 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.4 🔓 open 73 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.5 🔓 open 66 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 11 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 15 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 18 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.6 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.6 🔓 open JSONRPC 25 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 14 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+8.8 🔓 open 68 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B9.5 🔓 open 284 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.7 🔓 open 51 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.4 🔓 open JSONRPC 130 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
TollmintTollmint● healthy
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
B9.6 ⚡ agent-pays · x402 22 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
B+9.8 🔑 human key JSONRPC 207 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C8.3 🔓 open JSONRPC 271 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
A9.9 🔑 human key MCP 436 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
B9.4 🔓 open 15 skills -
ChainHelix for MachinesChainHelix● healthy
Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.
C+9.1 🔑 human key mcp-streamable-http 82 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.3 🔓 open MCP 41 skills -
Asia PulseAsia Pulse● healthy
Asia-session market data for AI agents, paid per call over x402: kimchi premium for 8 coins, BTC and ETH funding, BTC regime classification, US Treasury, dollar and Asian FX context, Korea semiconductor / defense / power-grid sector records, and a Japan trade and bond ledger. Testable claims are scored afterward and daily snapshots are anchored on X Layer. Not an A2A task server. Connect via MCP (streamable HTTP) or HTTPS with x402.
C+8.8 ⚡ agent-pays · x402 MCP 7 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
ChronicaPulseThe Aslan Group LLC● healthy
Global historical newspaper archive intelligence API. 9 endpoints covering person research, obituaries, historical events, place history, immigration records, military service, business history, chronological timelines, and full-text archive search. Primary source: Library of Congress Chronicling America (30M+ pages, 1770–1963, free). Global coverage via British Newspaper Archive, Trove (Australia), Gallica (France), Europeana, GenealogyBank, and Newspapers.com. Built for genealogists, historians, journalists, and researchers. Pay-per-query via x402 on Base.
B+9.6 🔓 open HTTP+JSON 11 skills -
Upgrade AgentPlusgrade● healthy
Authoritative travel-upgrade intelligence powered by Plusgrade — the technology provider behind bid and instant upgrade programs at 65+ airlines, 18 cruise lines, and rail operators. Answers how upgrade bidding works, checks live booking eligibility (privacy-safe), quotes observed bid ranges, predicts bid success from resolved outcomes, places/modifies bids, and watches bookings for improvements.
B9.3 🔑 human key HTTP+JSON 6 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
INITEinite LLC● healthy
INITE over A2A and MCP. Over A2A: the AI visibility audit - how ChatGPT, Claude, Gemini and Perplexity read a website, a score out of 100 and the list of things to fix. Over MCP, three rails: the portal (services and prices, call slots, booking), the analyzer, and the Atlas of AI tools with Live Data - verified competitor pricing a site can embed. Open without an account; a token adds the account's tier and its own data.
A9.9 🔑 human key 7 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+9.0 🔓 open 121 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B+9.6 🔓 open JSONRPC 72 skills -
Flux · APEX on X1 & ArcAPEX● healthy
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (205 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
B9.4 🔓 open JSONRPC 41 skills -
GISGPGISGP● healthy
Hosted geospatial tool server for AI agents: coordinate conversion, format conversion (GeoJSON/Shapefile/KML/GPX/DXF/CSV), open-data discovery, terrain, land cover, protected areas, hazard and site assessments. Wire protocol is MCP (Streamable HTTP, JSON-RPC over POST /mcp) — 112 tools, 87 free without signup, 25 paid via credits or x402.
C+8.9 🔓 open 112 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+9.0 🔓 open JSONRPC 127 skills -
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
C+9.0 🔓 open JSONRPC 47 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.7 🔓 open HTTP+JSON 80 skills -
CyMetica AICymetica● healthy
Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.
C8.4 🔓 open 26 skills -
SYNTHORA provides signed, pay-per-call intelligence products for autonomous agents over x402 on Base. The product list is generated from the current discoverable registry.
C+9.2 ⚡ agent-pays · x402 26 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.3 🔓 open MCP 41 skills -
SignalDesk AIx402 Agent● healthy
Persistent autonomous model/tool/report jobs, subject to free provider budgets.
B9.3 🔓 open 1052 skills -
Wonders MCPmachupicchu.org● degraded
Heritage travel knowledge graph covering hundreds of UNESCO, cultural and heritage destinations worldwide. Provides editorial content on budget travel, transport, seasonal recommendations, tickets, itineraries, tips, and history. Powered by machupicchu.org, a curated heritage and adventure travel publication.
E4.7 🔓 open JSONRPC 4 skills -
GovGazetteGovGazette● degraded
Public U.S. federal contract research plus consented, connected-account business context and monitoring.
E5.2 🔓 open 41 skills -
Read-only XRP Ledger and Solana data for agents: XRPL fees, funded order books, slippage, AMM pools, account summaries and network health, and Solana transfer readiness, token and network health verdicts. Built for agentic payments: run pre-payment checks on fees, network health and account state before building a transaction. The A2A endpoint /a2a is free JSON-RPC: call SendMessage with a data part {skill, arguments}. The MCP endpoint /mcp/pro currently serves free data, the same as /mcp. Paid access via x402 is announced but not active.
E1.8 🔓 open 16 skills